# Write Offs Write Offs ## Initiates workflow to warm up inventory transactions - [POST /writeOffs/warmUpStepFunctions](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/write-offs/warmupstepfunctions.md) ## Gets all of the write offs in the system. - [GET /writeOffs/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/write-offs/listwriteoffs.md): This method will scan all write offs and and return them to the caller. ## Processes a new write off - [POST /writeOffs/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/write-offs/processwriteoff.md): This method will auto-generate an ID and create a new write off. If an ID is specified for the write off, an error will be thrown. ## Execute Batch Operations - [POST /writeOffs/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/write-offs/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified batch_id - [GET /writeOffs/{tenantId}/batch/{batch_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/write-offs/listoffsbybatchid.md): Returns a list of records with the specified batch_id ## Searches for write offs using predefined parameters - [POST /writeOffs/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/write-offs/searchforwriteoffs.md): Searches for write offs using predefined parameters ## Creates a new credit that doesn't already exist - [POST /writeOffs/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/write-offs/processwriteoffsync.md): This method will auto-generate an ID and create a new write off. If an ID is specified for the write off, an error will be thrown. ## Returns a write off from the system by its ID. - [GET /writeOffs/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/write-offs/getwriteoff.md): This method will look up a write off by the specified ID and return it back. ## Partially updates a write off with the specified ID. - [PATCH /writeOffs/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/write-offs/patchwriteoff.md): This method will patch an existing write off with the specified ID, using the HTTP PATCH specification. ## Updates a write off with the specified ID. - [PUT /writeOffs/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/write-offs/updatewriteoff.md): This method will update an existing write off with the specified ID.